libzypp 17.37.10

zyppng::constants Namespace Reference

## Functions
constexpr std::string_view | outOfRangeErrMsg ("Channel index out of range")

## Variables
constexpr std::string_view | DEFAULT_PROVIDE_WORKER_PATH = ZYPP_WORKER_PATH
constexpr std::string_view | ATTACHED_MEDIA_SUFFIX = "-media"
constexpr auto | DEFAULT_ACTIVE_CONN_PER_HOST = 5
constexpr auto | DEFAULT_ACTIVE_CONN = 10
constexpr auto | DEFAULT_MAX_DYNAMIC_WORKERS = 20
constexpr auto | DEFAULT_CPU_WORKERS = 4

## Function Documentation

## ◆ outOfRangeErrMsg()

std::string_view zyppng::constants::outOfRangeErrMsg | ( | "Channel index out of range" |  | ) |
| constexpr

## Variable Documentation

## ◆ DEFAULT_PROVIDE_WORKER_PATH

std::string_view zyppng::constants::DEFAULT_PROVIDE_WORKER_PATH = ZYPP_WORKER_PATH
| constexpr

Definition at line 32 of file provide_p.h.

## ◆ ATTACHED_MEDIA_SUFFIX

std::string_view zyppng::constants::ATTACHED_MEDIA_SUFFIX = "-media"
| constexpr

Definition at line 33 of file provide_p.h.

## ◆ DEFAULT_ACTIVE_CONN_PER_HOST

auto zyppng::constants::DEFAULT_ACTIVE_CONN_PER_HOST = 5
| constexpr

Definition at line 34 of file provide_p.h.

## ◆ DEFAULT_ACTIVE_CONN

auto zyppng::constants::DEFAULT_ACTIVE_CONN = 10
| constexpr

Definition at line 35 of file provide_p.h.

## ◆ DEFAULT_MAX_DYNAMIC_WORKERS

auto zyppng::constants::DEFAULT_MAX_DYNAMIC_WORKERS = 20
| constexpr

Definition at line 36 of file provide_p.h.

## ◆ DEFAULT_CPU_WORKERS

auto zyppng::constants::DEFAULT_CPU_WORKERS = 4
| constexpr

Definition at line 37 of file provide_p.h.